Package twisted :: Package trial :: Module reporter |
[frames | no frames]

## Module twisted.trial.reporter

Classes
`MinimalReporter` |
`Reporter` | I report results from a run of a test suite.
`TextReporter` |
`TimingTextReporter` |
`TreeReporter` |
`VerboseTextReporter` |

Variable Summary
`str` | `ERROR` = `'error'`
`str` | `EXPECTED_FAILURE` = `'expected failure'`
`str` | `FAILURE` = `'failure'`
`str` | `SKIP` = `'skip'`
`str` | `SUCCESS` = `'success'`
`str` | `UNEXPECTED_SUCCESS` = `'unexpected success'`

Variable Details

    ### ERROR Type: `str` Value:
        'error'

    ### EXPECTED_FAILURE Type: `str` Value:
        'expected failure'

    ### FAILURE Type: `str` Value:
        'failure'

    ### SKIP Type: `str` Value:
        'skip'

    ### SUCCESS Type: `str` Value:
        'success'

    ### UNEXPECTED_SUCCESS Type: `str` Value:
        'unexpected success'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net